KDE 4.2 PyKDE API Reference

- KDE's Python API

# Spec Class Reference

`from PyKDE4.kdecore import *`

Namespace: KDateTime

## Detailed Description

The full time specification of a KDateTime instance. This specifies how the date/time component of the KDateTime instance should be interpreted, i.e. which time zone (if any) the date/time is expressed in.

## Methods

| __init__ (self)
| __init__ (self, KTimeZone tz)
| __init__ (self, KDateTime.SpecType type, int utcOffset=0)
| __init__ (self, KDateTime.Spec spec)
bool | equivalentTo (self, KDateTime.Spec other)
bool | isClockTime (self)
bool | isLocalZone (self)
bool | isOffsetFromUtc (self)
bool | isUtc (self)
bool | isValid (self)
bool | operator != (self, KDateTime.Spec other)
bool | operator == (self, KDateTime.Spec other)
| setType (self, KDateTime.SpecType type, int utcOffset=0)
| setType (self, KTimeZone tz)
KTimeZone | timeZone (self)
KDateTime.SpecType | type (self)
int | utcOffset (self)

## Static Methods

KDateTime.Spec | ClockTime ()
KDateTime.Spec | LocalZone ()
KDateTime.Spec | OffsetFromUTC (int utcOffset)
KDateTime.Spec | UTC ()

## Method Documentation

KDateTime.Spec ClockTime | ( |  | ) |

The ClockTime time specification. Provided as a shorthand for KDateTime.Spec(KDateTime.ClockTime).

KDateTime.Spec LocalZone | ( |  | ) |

Returns a local time zone time specification. Provided as a shorthand for KDateTime.Spec(KDateTime.LocalZone).

Returns:
  Local zone time specification

KDateTime.Spec OffsetFromUTC | ( | int | utcOffset
| ) |  |  |

Returns a UTC offset time specification. Provided as a shorthand for KDateTime.Spec(KDateTime.OffsetFromUTC, utcOffset).

Parameters:

  | utcOffset | number of seconds to add to UTC to get the local time

Returns:
  UTC offset time specification

__init__ | ( |  | self ) |

Constructs an invalid time specification.

__init__ | ( | self, |
|  | KTimeZone | tz
| ) |  |  |

Constructs a time specification for a given time zone. If tz is KTimeZone.utc(), the time specification type is set to UTC.

Parameters:

  | tz | time zone

__init__ | ( | self, |
|  | KDateTime.SpecType | type,
|  | int | utcOffset=0
| ) |  |  |

Constructs a time specification.

Parameters:

  | type | time specification type, which should not be TimeZone
  | utcOffset | number of seconds to add to UTC to get the local time. Ignored if type is not OffsetFromUTC.

__init__ | ( | self, |
|  | KDateTime.Spec | spec
| ) |  |  |

Copy constructor.

KDateTime.Spec UTC | ( |  | ) |

The UTC time specification. Provided as a shorthand for KDateTime.Spec(KDateTime.UTC).

bool equivalentTo | ( | self, |
|  | KDateTime.Spec | other
| ) |  |  |

Checks whether this instance is equivalent to another. The two instances are considered to be equivalent if any of the following conditions apply: - both instances are type ClockTime. - both instances are type OffsetFromUTC and their offsets from UTC are equal. - both instances are type TimeZone and their time zones are equal. - both instances are UTC. An instance is considered to be UTC if it is either type UTC, or is type OffsetFromUTC with a zero UTC offset.

Returns:
  true if the two instances are equivalent, false otherwise

See also:
  operator==()

bool isClockTime | ( |  | self ) |

Returns whether the time specification is a local clock time.

Returns:
  true if local clock time

See also:
  isUtc(), timeZone()

bool isLocalZone | ( |  | self ) |

Returns whether the time specification is the current local system time zone.

Returns:
  true if local system time zone

See also:
  isUtc(), isOffsetFromUtc(), timeZone()

bool isOffsetFromUtc | ( |  | self ) |

Returns whether the time specification is a local time at a fixed offset from UTC.

Returns:
  true if local time at fixed offset from UTC

See also:
  isLocal(), isUtc(), utcOffset()

bool isUtc | ( |  | self ) |

Returns whether the time specification is a UTC time. It is considered to be a UTC time if it is either type UTC, or is type OffsetFromUTC with a zero UTC offset.

Returns:
  true if UTC

See also:
  isLocal(), isOffsetFromUtc(), timeZone()

bool isValid | ( |  | self ) |

Returns whether the time specification is valid.

Returns:
  true if valid, else false

bool operator != | ( | self, |
|  | KDateTime.Spec | other
| ) |  |  |

bool operator == | ( | self, |
|  | KDateTime.Spec | other
| ) |  |  |

Comparison operator.

Returns:
  true if the two instances are identical, false otherwise

See also:
  equivalentTo()

setType | ( | self, |
|  | KDateTime.SpecType | type,
|  | int | utcOffset=0
| ) |  |  |

Initialises the time specification.

Parameters:

  | type | the time specification type. Note that TimeZone is invalid here.
  | utcOffset | number of seconds to add to UTC to get the local time. Ignored if spec is not OffsetFromUTC.

See also:
  type(), setType(const KTimeZone&)

setType | ( | self, |
|  | KTimeZone | tz
| ) |  |  |

Sets the time zone for the time specification.

To set the time zone to the current local system time zone, setType(LocalZone) may optionally be used instead.

Parameters:

  | tz | new time zone

See also:
  timeZone(), setType(SpecType)

KTimeZone timeZone | ( |  | self ) |

Returns the time zone for the date/time, according to the time specification type as follows: - TimeZone : the specified time zone is returned. - UTC : a UTC time zone is returned. - LocalZone : the current local time zone is returned.

Returns:
  time zone as defined above, or invalid in all other cases

See also:
  isUtc(), isLocal()

KDateTime.SpecType type | ( |  | self ) |

Returns the time specification type, i.e. whether it is UTC, has a time zone, etc. If the type is the local time zone, TimeZone is returned; use isLocalZone() to check for the local time zone.

Returns:
  specification type

See also:
  isLocalZone(), isClockTime(), isUtc(), timeZone()

int utcOffset | ( |  | self ) |

Returns the UTC offset associated with the time specification. The UTC offset is the number of seconds to add to UTC to get the local time.

Returns:
  UTC offset in seconds if type is OffsetFromUTC, else 0

See also:
  isOffsetFromUtc()